* 05-04
    * Spring配置数据源
        * 数据源连接池的作用
        * Spring配置数据源
        * Spring 容器加载properties配置文件
    * Spring原始注解
* 05-05
    * AutoWired注解以及value注解的使用
    * spring原始注解的使用 @Component @qualifier等
* 05-06
    * Spring 新注解
        * 使用上面注解无法全部替代xml文件
            * 非自定义的Bean配置
            * 加载properties文件
            * 组件的扫描
            * 引入其他文件
    * 新注解 
        * Configuration、ComponentScan、Bean、PropertySource、Import
    * 将之前的 context xml文件替代，使用新注解的形式
* 05-11
    * Spring集成web环境
        * servletContext、ContextLoadListener的使用
        * 配置 ContextLoadListener 监听器
        * 使用 WebApplicationContextUtils获取 应用上下文
    * SpringMvc 概述简介
* 05-12
    * RequestMapping 注解
        * 注解放在类上或者方法上
        * 参数 value、method、params params={"user"}表示参数中必须传入 user字段
    * SpringMVC XML配置
        * 转发与重定向  
            ``` java
                return "forward:success.jsp";
                return "redirect:success.jsp";
            ```
    * SpringMVC数据响应方式
        * 页面展示（转发，重定向）
        * 回写数据（返回字符串或者 json对象）
* 05-16
    * SpringMVC获取请求数据,SpringMVC可以获取如下类型参数
        * 基本数据类型、 pojo类型参数、数组类型参数、集合类型参数
    * RequestBody  RequestParam注解 
        * @RequestParam(name = "Name1",required = false,defaultValue="1")
    * 获取Restful风格的参数
        ```java
            // http://localhost:8083/rest1/zxy/19
            @RequestMapping("/rest1/{name}/{age}")
        ```
    * 自定义类型转换器（以时间转换器为例）
        * 定义转换器需实现Converter接口
        * 在配置文件中声明转换器
        * 在<annotation-driver>中引用转换器
    * 获取Servlet相关的API 常用的如下
        * HttpServletRequest
        * HttpServletResponse
        * HttpSession
    * 获取请求头
        * @RequestHeader
* 05-17
    * 接收文件上传的请求以及处理
* 05-19
    * jdbcTemplate使用
* 05-22
    * jdbcTemplate产生模板对象实现
    * jdbcTemplate常用操作
        ``` java
            // 更新操作 成功返回影响行数
            int row = jdbcTemplate.update("insert into `wb_tbl_a`(company_id,status) values (?,?)", 100, 100);
            // 查询多个
            List<AEntity> query = jdbcTemplate.query("select * from wb_tbl_a",
                new BeanPropertyRowMapper<AEntity>(AEntity.class));
            // 查询单个
            AEntity entity = jdbcTemplate.queryForObjet("select * from wb_tbl_a where id =?",
                new BeanPropertyRowMapper<AEntity>(AEntity.class),"10");
        ```
* 05-23
    * Spring 环境构建
       * spring-test项目资源引入，
* 05-24
    * Interceptor（拦截器）与filter（过滤器）
        * Interceptor 作用于 springMvc项目中
        * filter 作用于 javaWeb中
        * 一般使用拦截器能实现的功能，同样使用filter也能实现
* 05-25
    * 拦截器 preHandle、postHandle的使用
    * 在spring_test 项目中添加 拦截器
* 05-26
    * 异常处理 HandlerExceptionResolver
* 05-29 
    * 异常处理机制 MVC配置等
    * AOP原理 底层实现
        * AOP 动态代理技术
            * JDK代理，基于接口的动态代理
            * cglib：基于父类的动态代理



