* vue的父子传参 
    * 父传子 
        * 父组件中使用 v-bind 传递参数，在子组件中 props中接收
    * 子传父
        * 父组件中在子组件标签中添加 @method ，在子组件中调用this.$emit(method,args)进行传递
* vue 路由传参的几种方式 
    * params传参（不会显示参数）
    * query方式传参（会显示参数）
    ``` javascript
    this.$router.push({
        name: 'B',
        params: {
        sometext: '一只羊出没'
        }
    })
    // 子组件中可以这样引用 （这种方式地址栏不会显示参数）
    {{this.$route.params.sometext}}
    this.$router.push({
        name: 'B',
        params: {
        sometext: '一只羊出没'
        }
    })
    // 子组件这样引用（地址栏会显示参数）
    {{this.$route.query.sometext}}
    ```